#pragma once

#ifdef EMSCRIPTEN
#include <emscripten.h>
#include <emscripten/bind.h>
namespace ems = emscripten;
// #warning emscripten
#else
// #warning noEmscripten
#include <print>
/**
 * @brief Allow using ems::val without emscripten
 */
namespace ems {
    struct val {
        template<typename... Args>
        void operator()(Args...) {
            std::println("Callback called");
        }
    };

}
inline void emscripten_sleep(int time) {
    std::println("emscripten_sleep({})", time);
}
#endif

